interactions:
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      User-Agent:
      - python-requests/2.28.2
    method: GET
    uri: https://en.wikipedia.org/w/api.php?action=query&format=json&formatversion=2&prop=revisions&revids=12345%7C12342&rvslots=main&rvprop=comment%7Cuser%7Ctimestamp%7Cids
  response:
    body:
      string: '{"batchcomplete":true,"query":{"pages":[{"pageid":39330,"ns":0,"title":"Congruence
        (geometry)","revisions":[{"revid":12342,"parentid":12292,"user":"210.55.230.17","anon":true,"timestamp":"2002-02-16T18:56:13Z","comment":"*"},{"revid":12345,"parentid":12342,"user":"210.55.230.17","anon":true,"timestamp":"2002-02-16T19:00:49Z","comment":"*"}]}]}}'
    headers:
      accept-ranges:
      - bytes
      age:
      - '0'
      cache-control:
      - private, must-revalidate, max-age=0
      content-disposition:
      - inline; filename=api-result.json
      content-length:
      - '346'
      content-type:
      - application/json; charset=utf-8
      date:
      - Mon, 06 Feb 2023 13:00:51 GMT
      nel:
      - '{ "report_to": "wm_nel", "max_age": 604800, "failure_fraction": 0.05, "success_fraction":
        0.0}'
      permissions-policy:
      - interest-cohort=()
      report-to:
      - '{ "group": "wm_nel", "max_age": 604800, "endpoints": [{ "url": "https://intake-logging.wikimedia.org/v1/events?stream=w3c.reportingapi.network_error&schema_uri=/w3c/reportingapi/network_error/1.0.0"
        }] }'
      server:
      - mw1447.eqiad.wmnet
      server-timing:
      - cache;desc="pass", host;desc="cp1083"
      set-cookie:
      - WMF-Last-Access=06-Feb-2023;Path=/;HttpOnly;secure;Expires=Fri, 10 Mar 2023
        12:00:00 GMT
      - WMF-Last-Access-Global=06-Feb-2023;Path=/;Domain=.wikipedia.org;HttpOnly;secure;Expires=Fri,
        10 Mar 2023 12:00:00 GMT
      - GeoIP=US:::37.75:-97.82:v4; Path=/; secure; Domain=.wikipedia.org
      strict-transport-security:
      - max-age=106384710; includeSubDomains; preload
      vary:
      - Accept-Encoding,Treat-as-Untrusted,X-Forwarded-Proto,Cookie,Authorization
      x-cache:
      - cp1089 miss, cp1083 pass
      x-cache-status:
      - pass
      x-client-ip:
      - 2620:0:861:108:10:64:53:30
      x-content-type-options:
      - nosniff
      x-frame-options:
      - SAMEORIGIN
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      User-Agent:
      - python-requests/2.28.2
    method: GET
    uri: https://ores.wikimedia.org/v3/scores/enwiki?models=damaging&revids=12345%7C12342
  response:
    body:
      string: "{\n  \"enwiki\": {\n    \"models\": {\n      \"damaging\": {\n        \"version\":
        \"0.5.1\"\n      }\n    },\n    \"scores\": {\n      \"12342\": {\n        \"damaging\":
        {\n          \"score\": {\n            \"prediction\": true,\n            \"probability\":
        {\n              \"false\": 0.4075383879053165,\n              \"true\": 0.5924616120946835\n
        \           }\n          }\n        }\n      },\n      \"12345\": {\n        \"damaging\":
        {\n          \"score\": {\n            \"prediction\": false,\n            \"probability\":
        {\n              \"false\": 0.744276020191829,\n              \"true\": 0.255723979808171\n
        \           }\n          }\n        }\n      }\n    }\n  }\n}"
    headers:
      accept-ranges:
      - bytes
      access-control-allow-headers:
      - X-Wikimedia-Debug
      access-control-allow-origin:
      - '*'
      age:
      - '0'
      cache-control:
      - no-store, no-cache, max-age=0
      content-length:
      - '619'
      content-type:
      - application/json
      date:
      - Mon, 06 Feb 2023 13:00:51 GMT
      expires:
      - Thu, 01 Jan 1970 00:00:00 GMT
      nel:
      - '{ "report_to": "wm_nel", "max_age": 604800, "failure_fraction": 0.05, "success_fraction":
        0.0}'
      permissions-policy:
      - interest-cohort=()
      pragma:
      - no-cache
      report-to:
      - '{ "group": "wm_nel", "max_age": 604800, "endpoints": [{ "url": "https://intake-logging.wikimedia.org/v1/events?stream=w3c.reportingapi.network_error&schema_uri=/w3c/reportingapi/network_error/1.0.0"
        }] }'
      server:
      - ores1003.eqiad.wmnet
      server-timing:
      - cache;desc="pass", host;desc="cp1083"
      strict-transport-security:
      - max-age=106384710; includeSubDomains; preload
      x-cache:
      - cp1079 miss, cp1083 pass
      x-cache-status:
      - pass
      x-client-ip:
      - 2620:0:861:108:10:64:53:30
    status:
      code: 200
      message: OK
version: 1
